{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
  {% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
{{ media }}
{{ form.media }}
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block branding %}<h1 id="site-name">Notas</h1>{% endblock %}
{% block breadcrumbs %}
<div class="breadcrumbs">
      <a href="javascript:window.close()">{% trans "Cerrar" %}</a> &rsaquo;
</div>
{% endblock %}

{% block title %} {% trans 'Intranet de Docentes UDL' %} {% endblock %}
{% block coltype %}flex{% endblock %}

{% block content %}

<form action="" method="POST" >{% csrf_token %}

<fieldset class="module">
<h2>Notas del Grupo {{ nota.PeriodoCurso.Grupo|escape }} - {{ nota.PeriodoCurso.Curso.Nombre|escape }} - {{ nota.PeriodoCurso.Curso.Carrera.Carrera|escape }}</h2>
<div class="form-row">
	<div class="field-box">
        {{ nota.Nota }}
	</div>
</div>
</fieldset>

<div id="content-main">
  <h2>Notas del Grupo {{ nota.PeriodoCurso.Grupo|escape }} - {{ nota.PeriodoCurso.Curso.Nombre|escape }} - {{ nota.PeriodoCurso.Curso.Carrera.Carrera|escape }}</h2>
      {% block result_list %}
        <div class = "module aligned" id="changelist" >
        {% if calificados %}
        <table>
        <THEAD>
        <TH>Nº</TH>
        <TH>Alumno</TH>
        <TH>Calificación</TH>
	</THEAD>
        <TBODY>
        {% for calificado in calificados %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>{{ forloop.counter }}</TD>
           {% for cal in calificado %}
                   {% ifequal forloop.counter 1 %}
                        <TD>{{ cal }}<input type="hidden" name = "alumnos" value="{{ cal }}" /></TD>
                   {% endifequal %}
                   {% ifequal forloop.counter 2 %}
                        <TD><input type="hidden" name = "notaalumno_id" value="{{ cal }}" />
                   {% endifequal %}
                   {% ifequal forloop.counter 3 %}
                        <input type="text" name = "a_calificar" value="{{ cal }}" />
                   {% endifequal %}
                   {% ifequal forloop.counter 4 %}
                        {% if cal %}
                        <ul class="errorlist" ><li>{{ cal }}</li></ul>
                        {% endif %}</TD>
                   {% endifequal %}
           {% endfor %}
        </TR>
        {% endfor%}
        </TBODY>
        </table>
        </div>
       {% endif %}
       {% endblock %}
</div>
<div class="submit-row">
        <input class="default" type="submit" value="Grabar Calificaciones" />
</div>
</form>
{% endblock %}
